LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XInteractionDocumentSave Interface Reference

An interaction continuation handing back a document name. More...

`import"XInteractionDocumentSave.idl";`

Inheritance diagram for XInteractionDocumentSave:

## Public Member Functions
void | setName ([in] string Name, [in] com::sun::star::ucb::XContent Content)
| set the document name chosen by the interaction handler More...
Public Member Functions inherited from XInteractionContinuation
void | select ()
| Select this way of continuing from an com::sun::star::task::XInteractionRequest (given a choice of various instances of com::sun::star::task::XInteractionContinuation). More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An interaction continuation handing back a document name.

This continuation is typically used in conjunction with a com::sun::star::sdb::DocumentSaveRequest.

Since
  OOo 2.0

## Member Function Documentation

## ◆ setName()

void setName | ( | [in] string | Name,
|  | [in] com::sun::star::ucb::XContent | Content
| ) |  |

set the document name chosen by the interaction handler

Parameters

  Name | the name of the document
  Content | the content where the document should store itself

The documentation for this interface was generated from the following file:

- com/sun/star/sdb/XInteractionDocumentSave.idl